Subject: Amiga magazines (was: Re: liberator)
From: MenTaT - !Productions <[email-masked]>
To: [email-masked] (Andy Church)
Cc: [email-masked]
Date: Sun, 24 Jul 1994 23:55:36 -0400 (EDT)

>   Is there a list somewhere of all Amiga-related magazines?  I know about
> AmigaWorld (a.k.a. AmigaWhirled :-) ) and Amazing Computing for the Amiga,
> but that's it.

Ok, here's the ones I can remeber off the top of my head...

Amiga Format, Amiga Shopper, CU Amiga, Amiga Computing, Amiga User 
International, Amiga Force, Amiga World, Amazing, Amiga Power, CD32 User 
(or something similar), plus The Edge, a multi-format magazine that 
(occasionally) covers the Amiga.

There are loads more in non-English speaking countries...  I have 
addresses for most of the above, if anyone wants to subscribe.